Vivaldi Reportbug site version detection question.



  • I'm sorry if this's the wrong place, but I can't find the place to ask about it with one of Vivaldi page. I find no category in this forum about Vivaldi site or some kind of site report in vivaldi.com.

    Anyway,
    Visiting https://vivaldi.com/bugreport/ with Vivaldi Snapshot 1.10.867.3.
    0_1496872710251_9610419e-62c0-4546-af85-377bab623df4.png
    The UA sniffing was right. Is it suppose to be like that, only list stable?
    And the stable version written there was wrong too, current was 1.9.818.50.
    We could change the one in input box, but not in fixed part below.



  • @dLeon If you check Vivaldi/Help/About; the snapshot UA is 1.91.867.3
    My guess is that there was concern that an agent id of 1.10.867.3 would be confused with Vivaldi 1.1

    So stable is 1.9.818.50 and Snapshot (1.10) is 1.91.867.3
    Not sure if an ID of 1.A.867.3 would be invalid or not :grin:



  • @TbGbe
    Never cross my mind about that "Vivaldi/1.91.867.3 UA part possibility.

    Then, what people with Snapshot need to put in "Vivaldi version" input box? Leave it that way or the original?



  • @dLeon Personally I use the version number as stated in the release blog for bug reports/forum posts (Current Snapshot would be 1.10.876.3).



  • @TbGbe
    OK, I'll do that too.

    Thank you.



  • @dLeon
    It is not bug. The detection is ok.
    Vivaldi 1.10.867.3 has in its User Agent string the version number 1.91…
    Why? Because of bad webmasters on websites.
    Some websites do not detect Vivaldi version number 1.10… as a valid browser version and block the browser on their sites or nags users with popups containing the warning like unsupported browser or browser iut of date.
    The Vivaldi devs have created a fake version User Agent to workaround this.



  • @Gwen-Dragon

    Some websites do not detect Vivaldi version number 1.10… as a valid browser version and block the browser on their sites or nags users with popups containing the warning like unsupported browser or browser iut of date.

    I see, so that's the explanation about Vivaldi internal UA.

    Yeah, my question above more to what version to insert in input box. If user in 1.10 but input box automatically filled in with 1.9 it's kind of confusing. I'll fill it with "real current" as @TbGbe done if I have bugs to report.

    Thank you.



  • It is no problem for internal testers and devs to recognize in bugtracker that 1.91 really means 1.10 ;)

    But if you like, you can add the real version number in bug report.


Log in to reply
 

Looks like your connection to Vivaldi Forum was lost, please wait while we try to reconnect.